Package org.silverpeas.components.scheduleevent.view

# Class ContributorImplVO

java.lang.Object
org.silverpeas.components.scheduleevent.view.ContributorImplVO

All Implemented Interfaces:
  `ContributorVO`

public class ContributorImplVO extends Object implements ContributorVO

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContributorImplVO(String name, Contributor contributor, AvailabilityFactoryVO availabilityFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getHtmlClassAttribute()`
  `String`
  `getName()`
  `boolean`
  `hasAnswered()`
  `int`
  `hashCode()`
  `AvailableVO`
  `makeAvailability(AvailabilityFactoryVO.Availability availability)`
  `Set<Response>`
  `match(Set<Response> responses)`
  `void`
  `setHtmlClassAttribute(String attribute)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContributorImplVO

    public ContributorImplVO(String name, Contributor contributor, AvailabilityFactoryVO availabilityFactory)

- ## Method Details

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `ContributorVO`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hasAnswered

    public boolean hasAnswered()
    Specified by:
      `hasAnswered` in interface `ContributorVO`

  - ### match

    public Set<Response> match(Set<Response> responses)
    Specified by:
      `match` in interface `ContributorVO`

  - ### makeAvailability

    public AvailableVO makeAvailability(AvailabilityFactoryVO.Availability availability)
    Specified by:
      `makeAvailability` in interface `ContributorVO`

  - ### getHtmlClassAttribute

    public String getHtmlClassAttribute()
    Specified by:
      `getHtmlClassAttribute` in interface `ContributorVO`

  - ### setHtmlClassAttribute

    public void setHtmlClassAttribute(String attribute)